package egovframework.com.ext.oauth.service;

import nlib.cmm.service.NlibProperty;

public interface OAuthConfig {

	static final String GOOGLE_SERVICE_NAME = NlibProperty.getString("oauth2.client.provider.google.name");
	static final String GOOGLE_PROFILE_URL  = NlibProperty.getString("oauth2.client.provider.google.user-info-uri"); // "https://www.googleapis.com/plus/v1/people/me";

	static final String NAVER_SERVICE_NAME  = NlibProperty.getString("oauth2.client.provider.naver.name");
	static final String NAVER_PROFILE_URL   = NlibProperty.getString("oauth2.client.provider.naver.user-info-uri"); // "https://openapi.naver.com/v1/nid/me";
	static final String NAVER_ACCESS_TOKEN  = NlibProperty.getString("oauth2.client.provider.naver.token-uri"); // "https://nid.naver.com/oauth2.0/token?grant_type=authorization_code";
	static final String NAVER_AUTH          = NlibProperty.getString("oauth2.client.provider.naver.authorization-uri"); // "https://nid.naver.com/oauth2.0/authorize";

	static final String KAKAO_SERVICE_NAME  = NlibProperty.getString("oauth2.client.provider.kakao.name");
	static final String KAKAO_PROFILE_URL   = NlibProperty.getString("oauth2.client.provider.kakao.user-info-uri"); // "https://kapi.kakao.com/v2/user/me";
	static final String KAKAO_ACCESS_TOKEN  = NlibProperty.getString("oauth2.client.provider.kakao.token-uri"); // "https://kauth.kakao.com/oauth/token?client_id=";
	static final String KAKAO_AUTH          = NlibProperty.getString("oauth2.client.provider.kakao.authorization-uri"); // "https://kauth.kakao.com/oauth/authorize";

}

